const float PI = 3.141593;

float rect(float x);
float sinc(float x);
float triangleFunction(float x);
float kdelta(float x);

//generic uniforms to control grating parameters
uniform vec4 gratingParameters;

float wdf_wrapper(float x,float y,float u,float v, float lambda){
//the meaning of each component of gratingParameters is defined here:

//Young's double slit
	//gratingParameters.x => a
	//gratingParameters.y => b
	float a = gratingParameters.x;
	float b = gratingParameters.y;
	return 	kdelta(x-a)+kdelta(x-b)+ 2.0 * kdelta(x-(a+b)*0.5)*cos(2.0*PI * (a-b)*u);

}
