
# Add inputs and outputs from these tool invocations to the build variables 
CPP_SRCS += \
./main.cpp \
./sdlutil.cpp \
./vectorMath.cpp \
./texture.cpp \
./shader.cpp \
./program.cpp \
./rendertarget.cpp \
./functionrender.cpp \
./vbo.cpp \
./texBO.cpp \
./renderer.cpp \
./tonemap.cpp \
./ImageBuffer.cpp \
./drawScene.cpp \
./grating.cpp \
./diffraction.cpp \
./pfm.cpp \

OBJS += \
./main.o \
./sdlutil.o \
./vectorMath.o \
./texture.o \
./shader.o \
./program.o \
./rendertarget.o \
./functionrender.o \
./vbo.o \
./texBO.o \
./renderer.o \
./tonemap.o \
./ImageBuffer.o \
./drawScene.o \
./grating.o \
./diffraction.o \
./pfm.o \

CPP_DEPS += \
./main.d \
./sdlutil.d \
./vectorMath.d \
./texture.d \
./shader.d \
./program.d \
./rendertarget.d \
./functionrender.d \
./vbo.d \
./texBO.d \
./renderer.d \
./tonemap.d \
./ImageBuffer.d \
./drawScene.d \
./grating.d \
./diffraction.d \
./pfm.d \

# Each subdirectory must supply rules for building sources it contributes
%.o: %.cpp
	@echo 'Building file: $<'
	@echo 'Invoking: GCC C++ Compiler'
	g++ $(HEADERS) $(CCFLAGS) -c -MMD -MP -MF"$(@:./%.o=./%.d)" -MT"$(@:%.o=%.d)" -o"$@" "$<"
	@echo 'Finished building: $<'
	@echo ' '


