uniform sampler2D sourceTexture1; //we need 2 sources for accumulating the result.
uniform sampler2D sourceTexture2; //add both of them, and output final fragment color

uniform vec3 coeff;
uniform int flags;

void main()
{
	gl_FragColor=coeff.x*texture2D(sourceTexture1, gl_TexCoord[0]) + coeff.y*texture2D(sourceTexture2, gl_TexCoord[0]) + coeff.z;

	if (flags & 0x00000001 == 1){//clamp color values below zero to zero.
		gl_FragColor=max(gl_FragColor,0.0);
	}
}
